Subject: Git feature request: mark a commit as minor

From: Felipe Micaroni Lalli <[email-masked]>
Date: Fri, 2 Oct 2015 18:38:46 -0300

A minor change (also called "cosmetic") usually is a typo fix, doc
improvement, a little code refactoring that don't change the behavior etc.

In Wikipedia we can mark an edition as "minor".

It would be nice to have an argument like "--minor" in git-commit to
mark the commit as minor. Also, filter in git-log (like --hide-minor) to
hide the minor changes. The git-log could be optimized to show minor
commits more discreetly.

Thank you.